



/* Variables */
$primary-color: #601FFF;

/* Mixins */
@mixin min-width($size) {
  @media screen and (min-width: $size) {
    @content;
  }
}

/* Base Resets */
html { box-sizing: border-box !important }
*, *::before, *::after { box-sizing: inherit !important; }
:root {
  font-size: 19px;
  @include min-width(900px) {
    font-size: 21px;
  }
}

/* Placeholders */
%container {
  width: 90%;
  max-width: 768px;
  margin: 0 auto;
}

/* Layout */
.container { @extend %container; }

/* Page Regions */
[role=banner], [role=main] {
  & > * { @extend %container; }
}
[role=banner] {
  background-color: ghostwhite;
  padding: 2rem 0;
  width: 100%;
  margin: 0;
  * {
    line-height: 1;
    padding: 0;
    margin: 1rem auto;
    font-weight: 600;
    letter-spacing: .5px;
  }
}
[role=main] {
  padding: 2rem 0;
  background: white;
  width: 100%;
  min-height: 60vh;
  section {
    margin: 0 auto 2rem auto;
  }
}
[role=contentinfo] {
  text-align: center;
  padding: 2rem 0;
  margin: 0;
  width: 100%;
  background-color: ghostwhite;
  p {
    font-size: small;
    line-height: 1;
    color: gray;
    font-weight: 500;
    padding: 0;
    margin: 0 auto;
    text-align: center;
    vertical-align: middle;
  }
}

body > * { transition: all 120ms ease-out; }
html, body {
  position: relative;
  margin: 0;
  padding: 0;
  width: 100vw;
  max-width: 100vw;
  min-width: 320px;
  height: 100%;
  min-height: 100vh;
  transition: all 120ms ease-out;
  overflow-x: hidden;
}
body > * {
  // overflow-x: hidden;
  // position: relative;
  margin: 0;
  padding: 0;
  width: 100vw;
  max-width: 100vw;
  min-width: 100vw;
}

/* Typography */
html, body, main, nav, a, p {
  line-height: 1.5;
}
p {
  margin-bottom: 2rem;
}
h1, h2, h3, h4, h5, h6 {
  line-height: 1;
  margin-bottom: 1rem;
  transition: all 120ms ease-out;
}
section h3 {
  margin-bottom: 2rem;
  letter-spacing: 0.5px;
}
section { transition: all 120ms ease-out; }


/* Navigation Bar */
nav {
  margin: 0;
  padding: 0;
  width: 100%;
  background-color: ghostwhite;
  ul {
    list-style: none;
    padding: 0;
    margin: 0;
    li {
      list-style: none;
      padding: 0;
      margin: 0;
    }
  }
  a {
    text-decoration: none;
    font-weight: 600;

  }
}

/* Navigation Button */
#navigation-button {
  $_this-drop-shadow: 0 4px 16px -2px rgba($primary-color, 0.5);
  $_custom-focus-fx: 0 0 0 3px rgba($primary-color, 0.25);
  appearance: none;
  // border: lightgray solid 2px;
  cursor: pointer;
  transition: all 130ms ease-out;
  // background: lightgray;
  background-color: $primary-color;
  border            : 2px solid $primary-color;
  border-radius: 5px;
  box-shadow: $_this-drop-shadow;

  width: 48px;
  height: 48px;
  text-align: center;
  padding: .25rem;
  // margin-left: auto;
  // margin-right: 1rem;
  position: absolute;
  right: .5rem;
  top: .5rem;
  transform: scale3d(1, 1, 1);
  user-select: none;
  -webkit-tap-highlight-color: rgba(#000000, 0.0) !important;
  -webkit-touch-callout: none !important;

  &:hover {
    $_adjusted-color: darken(lightgray, 8%);
    $_adjusted-color: darken($primary-color, 8%);
    background-color: $_adjusted-color;
    border-color: $_adjusted-color;
  }
  &:focus {
    $_adjusted-color: darken(lightgray, 16%);
    $_adjusted-color: darken($primary-color, 16%);
    background-color: $_adjusted-color;
    outline: none;
    // border-color: $primary-color;
    border-color: $_adjusted-color;
    box-shadow: $_this-drop-shadow, $_custom-focus-fx;
  }
  &:active {
    $_this-drop-shadow: 0 0 8px  rgba($primary-color, 0.75);
    $_adjusted-color: darken(lightgray, 24%);
    $_adjusted-color: darken($primary-color, 25%);
    background-color: $_adjusted-color;
    border-color: $_adjusted-color;
    box-shadow: $_this-drop-shadow;
    transform: scale3d(0.98, 0.98, 1.0);
  }

  *, *::before, *::after {	transition: all 100ms; }
  .material-icons {
    font-size: 36px;
    line-height: 1;
    vertical-align: middle;
    margin: auto;
    text-align: center;
    display: block;
  }
}
#navigation-button .text-only-content {
  display: none;
}
#navigation-button {

  color :white;
  transition: all 120ms ease-out;
  *, *::before, *::after {transition: all 120ms ease-out;}
  &[aria-expanded="true"] {
    #menu-icon { display: none; }
    #close-icon { display: block; }
    background-color: tomato !important;
    border-color: tomato !important;
  }
  &[aria-expanded="false"] {
    #menu-icon { display: block; }
    #close-icon { display: none; }
  }
}

nav {
  background-color: darken(ghostwhite, 2%);
  transition: all 100ms;
  position: relative;
  *, *::before, *::after { transition: all 100ms !important; }
  ul {
    width: 100vw;
    text-align: center;
    padding: 0;
  }
  a {
    display: block;
    width: 100%;
    font-size: large;
    padding: 1rem 0;
    letter-spacing: 0.5px;
    color: $primary-color;
    &:hover {
      color: darken($primary-color, 10%) !important;
      background: darken(ghostwhite, 4%);
    }
    &:focus {
      outline: none;
      color: darken($primary-color, 20%) !important;
      background: rgba($primary-color, .1);
      box-shadow: 0 0 0 3px rgba($primary-color, .25);
      border-radius: 2px;
    }
    &:visited, &:link {
      &:hover {
        color: darken($primary-color, 10%) !important;
        background: darken(ghostwhite, 4%);
      }
      &:focus {
        outline: none;
        color: darken($primary-color, 20%);
        background: rgba($primary-color, .1);
        box-shadow: 0 0 0 3px rgba($primary-color, .25);
        border-radius: 2px;
      }
    }
    &.active {
      background-color: darken(ghostwhite, 5%);
      color: rgba($primary-color, 0.25) !important;
      pointer-events: none;
      tab-index: 0 !important;
      user-select: none !important;
      user-focus: none;

    }
  }
}

#navigation {
  display: none;
}

@include min-width(560px) {
  nav {

    ul {
      position: relative;
      background-color: darken(ghostwhite, 2%);
      width: 90%;
      max-width: 768px;
      margin-left: auto;
      margin-right: auto;
      display: flex;
      flex-direction: row;
      align-items: center;
      align-content: center;
      justify-content: flex-end;
      li {
        position: relative;
        width: unset;
        margin: 0;
        padding : 4px 0 2px;
      }
      a {
        width: unset;
        line-height: 1;
        padding: 1rem;
        display: inline-block;

      }
    }

  }
  #navigation-button {
    display: none;
  }
  #navigation {
    display: flex !important;
  }
}


*, *::before, *::after {
  -webkit-tap-highlight-color: transparent !important;
  &::-moz-focus-inner {
    outline: none;
    -webkit-appearance : none;-moz-appearance : none;appearance : none;
  }
}
